Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class ProxyGraphicsNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.batik.gvt.ProxyGraphicsNode

All Implemented Interfaces:
  GraphicsNode

    public class ProxyGraphicsNode

extends AbstractGraphicsNode

A graphics node which provides a placeholder for another graphics node. This node is self defined except that it delegates to the enclosed (proxied) graphics node, its paint routine and bounds computation.

Field Summary
`protected GraphicsNode` | `source` The graphics node to proxy.

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`ProxyGraphicsNode()` Constructs a new empty proxy graphics node.

Method Summary
`Rectangle2D` | `getGeometryBounds()` Returns the bounds of the area covered by this node, without taking any of its rendering attribute into account.
`Shape` | `getOutline()` Returns the outline of this node.
`Rectangle2D` | `getPrimitiveBounds()` Returns the bounds of the area covered by this node's primitive paint.
`Rectangle2D` | `getSensitiveBounds()` Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.
`GraphicsNode` | `getSource()` Returns the proxied graphics node.
`Rectangle2D` | `getTransformedGeometryBounds(AffineTransform txf)` Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.
`Rectangle2D` | `getTransformedPrimitiveBounds(AffineTransform txf)` Returns the bounds of this node's primitivePaint after applying the input transform (if any), concatenated with this node's transform (if any).
`void` | `primitivePaint(Graphics2D g2d)` Paints this node without applying Filter, Mask, Composite and clip.
`void` | `setSource(GraphicsNode source)` Sets the graphics node to proxy to the specified graphics node.

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`contains, fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getTransformedSensitiveBounds, getWeakReference, intersects, invalidateGeometryCache, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, nodeHitAt, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setRoot, setTransform, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected GraphicsNode source

  The graphics node to proxy.

Constructor Detail

### ProxyGraphicsNode

    public ProxyGraphicsNode()

  Constructs a new empty proxy graphics node.

Method Detail

### setSource

    public void setSource(GraphicsNode source)

  Sets the graphics node to proxy to the specified graphics node.

  Parameters:
    `source` - the graphics node to proxy

### getSource

    public GraphicsNode getSource()

  Returns the proxied graphics node.

### primitivePaint

    public void primitivePaint(Graphics2D g2d)

  Paints this node without applying Filter, Mask, Composite and clip.

  Parameters:
    `g2d` - the Graphics2D to use

### getPrimitiveBounds

    public Rectangle2D getPrimitiveBounds()

  Returns the bounds of the area covered by this node's primitive paint.

### getTransformedPrimitiveBounds

    public Rectangle2D getTransformedPrimitiveBounds(AffineTransform txf)

  Returns the bounds of this node's primitivePaint after applying the input transform (if any), concatenated with this node's transform (if any).

  Specified by:
    `getTransformedPrimitiveBounds` in interface `GraphicsNode`
  Overrides:
    `getTransformedPrimitiveBounds` in class `AbstractGraphicsNode`
  Parameters:
    `txf` - the affine transform with which this node's transform should be concatenated. Should not be null.

### getGeometryBounds

    public Rectangle2D getGeometryBounds()

  Returns the bounds of the area covered by this node, without taking any of its rendering attribute into account. That is, exclusive of any clipping, masking, filtering or stroking, for example.

### getTransformedGeometryBounds

    public Rectangle2D getTransformedGeometryBounds(AffineTransform txf)

  Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering. The returned value is transformed by the concatenation of the input transform and this node's transform.

  Specified by:
    `getTransformedGeometryBounds` in interface `GraphicsNode`
  Overrides:
    `getTransformedGeometryBounds` in class `AbstractGraphicsNode`
  Parameters:
    `txf` - the affine transform with which this node's transform should be concatenated. Should not be null.

### getSensitiveBounds

    public Rectangle2D getSensitiveBounds()

  Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.

### getOutline

    public Shape getOutline()

  Returns the outline of this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.